---
jumphost:
  server: pod4.opnfv.fr
  user: !vault |
    $ANSIBLE_VAULT;1.1;AES256
    3630393935613964636630383533626564653830643437313761363938313066323134346366
    63613036633463313638346261663135623735353663393537350a3461313361316334396235
    3764313934646361663534356134386162386564663138346462653435373433646337356164
    3835646263343535343164366237350a37393236666633356331623930643932336666353134
    65353035623563666563
environment: orange_pod4/onap_gating_4
longlife_artifact: true
scenario_steps:
  config:
    project: config
    get_artifacts:
      - name: orange_vim_pod4
        static_src: true
    infra: k8s18-onap-gating-4
    ssh_access: orange.eyml
  infra_deploy:
    project: os_infra_manager
    get_artifacts: config
    extra_parameters:
      ADMIN: true
      CLEAN: true
      TENANT_NAME: onap-oom-gating-4
      USER_NAME: onap-oom-gating-4-ci
      IDENTIFIER: -onap-gating-4
      USE_PRIVATE_IP: True
      ADD_FLOATING_IP: True
      DNS_NAME: "{{ lookup('env','DNS_NAME')|default('gating4', true) }}"
  k8s_deploy:
    get_artifacts: infra_deploy
    project: kubespray
    branch: helm_3
    ssh_access: orange.eyml
    extra_parameters:
      kubespray_version: release-2.15
      helm_release: v3.3.4
      kubespray_helm_version: v3.5.3
      kube_network_plugin: cilium
      kubernetes_release: v1.19.9
      ENABLE_MONITORING: true
      DOCKER_HUB_PROXY: docker.nexus.azure.onap.eu
      GCR_PROXY: docker.nexus.azure.onap.eu
      K8S_GCR_PROXY: docker.nexus.azure.onap.eu
      QUAY_PROXY: docker.nexus.azure.onap.eu
  trigger:
    project: trigger
  k8s_test:
    project: functest_k8s
    get_artifacts:
      - name: infra_deploy
        limit_to:
          - inventory/infra: inventory/infra
      - name: config
        limit_to:
          - vars/pdf.yml: vars/pdf.yml
          - vars/ssh_gateways.yml: vars/ssh_gateways.yml
          - vars/vaulted_ssh_credentials.yml: vars/vaulted_ssh_credentials.yml
      - name: k8s_deploy
        limit_to:
          - vars/kube-config: vars/kube-config
    extra_parameters:
      DEPLOYMENT: kubespray
      TEST_RESULT_DB_URL: http://testresults.opnfv.org/test/api/v1/results
